### Constructor

# RB History new

#### Declaration [src]

    RBHistory*
    rb_history_new (
      gboolean truncate_on_play,
      GFunc destroyer,
      gpointer destroy_userdata
    )

#### Description [src]

Creates a new history instance.

#### Parameters

`truncate_on_play`

  Type: `gboolean`

  Whether `rb_history_set_playing()` should truncate the history.

`destroyer`

  Type: `GFunc`

  Function to call when removing an entry from the history.

`destroy_userdata`

  Type: `gpointer`

  Data to pass to `destroyer`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `RBHistory`

A new `RBHistory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.